import 'virtual:uno.css'
//主要
import { createApp } from 'vue'
import router, { setupRouter } from './router'
import website from '~src/config'
import App from './App.vue'
import * as ElIcon from '@element-plus/icons-vue'
 

//hc-vue3-ui
import HcVue3UI from 'hc-vue3-ui'
import 'hc-vue3-ui/dist/index.css'
import 'hc-vue3-ui/style/index.scss'
//饿了么UI
import ElementPlus from 'element-plus'
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import 'dayjs/locale/zh-cn'
//挂载全局
import { setupComponents } from './components/index'

//导入其它样式
import './styles/index.scss'
import vue3SeamlessScroll from 'vue3-seamless-scroll'
//创建实例
async function bootstrap() {
    const app = createApp(App)

    // 挂载路由
    await setupRouter(app)

    // 路由准备就绪后挂载APP实例
    await router.isReady()

    // hc-vue3-ui
    app.use(HcVue3UI, website)
    // 饿了么UI框架
    app.use(ElementPlus, {
        locale: zhCn,
    })
    Object.keys(ElIcon).forEach((key) => {
        app.component(key, ElIcon[key])
      })
      app.use(vue3SeamlessScroll)
    // 挂载全局组件
    setupComponents(app)

    app.mount('#app')
}

// eslint-disable-next-line no-void
void bootstrap()
