import * as vueRouter from 'vue-router'
import website from '~src/config/index'
import routers from './routers'

//设置路由数据
const router = vueRouter.createRouter({
    history: vueRouter.createWebHashHistory(),
    routes: routers,
})

//路由拦截
router.beforeResolve((to) => {
    return true
})

router.afterEach((to) => {
    let pageTitle = to.meta['title'], title = website.title
    if (to.path !== '/') {
        window.document.title = pageTitle ? `${pageTitle} - ${title}` : title
    } else {
        window.document.title = title
    }
    window.scrollTo(0, 0)
})

export function setupRouter(app) {
    app.use(router)
    return router
}

export default router
