import { defineConfig, presetAttributify, presetIcons, presetUno } from 'unocss'
import { presetScrollbar } from 'unocss-preset-scrollbar'

export default defineConfig({
    shortcuts: {
        'hc-flex': 'relative flex items-center',
        'hc-flex-center': 'hc-flex justify-center',
    },
    presets: [
        presetUno(),
        presetIcons(),
        presetAttributify({
            prefix: 'hc-', //属性冲突的自定义前缀
            prefixedOnly: true, //强制使用前缀
        }),
        //滚动条
        presetScrollbar(),
    ],
})
